\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{miclase}
[2020/11/03 Ejemplo de clase para el tutorial de IEEE-IAS student branch; Gerardo Marx]

%packages
\RequirePackage{blindtext}
\RequirePackage{graphicx}
%\RequirePackage{amsmath}
\RequirePackage{booktabs}
%\RequirePackage{tikz}
%\RequirePackage{pgfplots}
%\RequirePackage{listings}

\DeclareOption{twocolumn}{
\OptionNotUsed
\typeout{Option not used}
}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax
\LoadClass[onecolumn]{article}



\def\nombre#1{\def\@nombre{#1}}
\def\titulo#1{\def\@titulo{#1}}
%new commands

\newcommand{\portada}{
\begin{titlepage}
%\includegraphics[width=6cm]{logo-tecnm}\hspace{0.5cm}
%\includegraphics[width=3cm]{logo}\hspace{1.5cm}
\includegraphics[width=3cm]{example-image-a}\\[2cm]

%Headings
\center{}
\textsc{\LARGE Instituto Tecnológico de Morelia}\\[1.5cm]
\textsc{\Large División de Estudios Profesionales}\\[1cm]
\textsc{\Large Departamento de Ingeniería Y}\\[0.5cm]
%Title
\rule{\linewidth}{0.5mm}\\[0.4cm]
{\huge \bfseries \@titulo}
\rule{\linewidth}{0.5mm}\\[1.2cm]
%author
\begin{flushleft}
\emph{Alumno:}\\
\textsc{\@nombre}

\emph{Número de Control:}\\
{\bfseries D01120294}
\end{flushleft}



{\large \today}

\vfill % fill the rest of page with blank space
\end{titlepage}
}

%%%%%%%%%%%%
\renewcommand{\normalsize}{\fontsize{12}{15}\selectfont}

%%%%%
%\@startsection{name}
%  {level}
%  {indent}
%  {beforeskip}
%  {afterskip}
%  {style}*[toctitle]{title}
%%%%%

\newcommand{\seccion}{%
	\@startsection{section}
	{1} %level
	{25pt} %indent
	{5.5ex} %before skip
	{5.5ex} %after skip
	{\Large\sffamily\bfseries}%
}

%%%%%%%%%
\newcounter{example}[section]
\newenvironment{example}[1][]{\refstepcounter{example}\par \medskip 
\textbf{Ejemplo~\theexample:\\ #1}}{\medskip}

















