% Clase para reportes a nivel ingeniería
% desarrollado por Gerardo Marx:
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{techreports}[2020/11/05 Technical Reports Class]

%packages:
\RequirePackage{graphicx}

%options

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax
\LoadClass[onecolumn]{article}


%%%%%%%%%%%%%
%\ifx \title \undefined
%  \def\title#1{\def\@title{put title}}
%\else 
%	\def\title#1{\def\@title{#1}}
%\fi
%%%%%%%%%%%%%%
\def\idnumber#1{\def\@idnumber{#1}}

%commands
\renewcommand{\maketitle}{
\begin{titlepage}
%Headings
\center
\textsc{\LARGE \bfseries Instituto Tecnológico de Morelia}\\[0.5cm]
\includegraphics[width=5cm]{logo}\\[1cm]
\textsc{\Large División de Estudios Profesionales}\\[1cm]
\textsc{\Large Departamento de Ingeniería Electrónica}\\[0.5cm]
%Title
\rule{\linewidth}{0.5mm}\\[0.4cm]
{\Large \@title}
\rule{\linewidth}{0.5mm}\\[1.2cm]
%author
\begin{flushleft}
\emph{Alumno:}\\
\textsc{\@author}

\emph{Número de Control:}\\
{\bfseries \@idnumber}
\end{flushleft}



{\large \today}

\vfill % fill the rest of page with blank space
\end{titlepage}
}


